$(document).ready(function() {

	
    /* YOU CAN MESS WITH THESE VALUES */
    var delay = 4000, // This controls how long the slide will stay in place.
        height = 400, // Height of the slider.
        width = 960, // Width of the slider.
		speed = 500, // this is the speed of the animation
		showarrows = true, // determines if the arrows are enabled (if the user can go back and forth between the slides)
		autohide = true; // if set to true, arrows will autohide, if set to false, arrows will be shown all the time
		
    /* OK, NOW STOP MESSING AROUND */

	
	/* IF YOU MESS WITH ANYTHING WHICH IS BELOW THIS COMMENT, YOU BETTER KNOW WHAT YOU DOING SON */
    $(".slide").css({
        "position": "absolute",
        "left": width + "px",
        "top": "0",
        "display": "none",
        "width": width + "px",
		"height" : height + "px"
    });
	
    var selector = 0,
        items = $(".slide").length - 1,
        interval = null,

        /* THESE ARE THE CLASSES YOU NEED TO WATCH OUT FOR WHEN PUTTING THE SLIDER TO USE. PLEASE BE SURE YOUR CLASSES OF DIVs MATCH THE ONES BELOW OR IF YOU WOULD LIKE TO HAVE DIFFERENT CLASSES, REWRITE THEM HERE. */
        $slider = $(".slider"),
        $left = $(".slider-left"),
        $right = $(".slider-right"),
        $slide = $(".slide:eq(" + selector + ")"), // REWRITE ONLY THE ".slide" IF YOU WISH BUT LEAVE THE REST.
        $slides = $(".slides"),
        $left_container = $(".left-arrow-container"),
        $right_container = $(".right-arrow-container");
    /* END OF CLASSES */

    $slider.css({
        "position": "relative",
        "width": width + "px",
        "height": height + "px",
        "overflow": "hidden",
        "margin": "0 auto"
    });

    $slides.css({
        "width": width,
        "overflow": "hidden"
    });

    $left_container.css({
        "position": "absolute",
        "top": "0",
        "left": "20px",
        "width": "72px",
        "height": height + "px",
		"z-index" : "99999999"
    });

    $left.css({
        "margin-top": (height - $left.height()) / 2 + "px",
		"opacity" : "0.4"
    });

    $right_container.css({
        "position": "absolute",
        "top": "0",
        "right" : 20 + "px",
        "width": "72px",
        "height": height + "px",
		"z-index" : "99999999"
    });

    $right.css({
        "margin-top": (height - $left.height()) / 2 + "px",
		"opacity" : "0.4"
    });

    $slide.fadeIn(0).css({
        "left" : "0"
    });

    function newSlideLeft() {

        $slide.animate({
            left: "-" + width + "px"
        }, speed).fadeOut(0);



        if (selector <= items - 1) {
            selector++;
        } else {
            selector = 0;
        };


        $slide = $(".slide:eq(" + selector + ")");

        $slide.css({
            "left": width + "px"
        });

        $slide.fadeIn(0, function() {
            $slide.animate({
                "left": "0",
            }, speed);
        });

    };

    function newSlideRight() {

        $slide.animate({
            left: width
        }, speed).fadeOut(0);



        if (selector >= 0) {
            selector--;
        } else {
            selector = items - 1;
        };


        $slide = $(".slide:eq(" + selector + ")");

        $slide.css({
            "left": "-" + width + "px"
        });

        $slide.fadeIn(0, function() {
            $slide.animate({
                "left": "0",
            }, speed);
        });

    };

    $left.click(newSlideRight);

    $right.click(newSlideLeft);


    interval = setInterval(newSlideLeft, delay);

    $slider.on("mouseenter", function() {
        clearInterval(interval);
    });

    $slider.on("mouseleave", function() {
        clearInterval(interval);
        interval = setInterval(newSlideLeft, delay);

    });
	
	function hideArrows() {
		$right.fadeOut(0);
		$left.fadeOut(0);
	};
	
	function fadeOutArrows() {
		$right.fadeOut();
		$left.fadeOut();
	};
	
	function fadeInArrows(){
		$right.fadeIn();
		$left.fadeIn();	
	};
	
	if (showarrows == true) {		
		if (autohide == true){
			hideArrows();
			$slider.on("mouseenter", fadeInArrows);
			$slider.on("mouseleave", fadeOutArrows);
	};
	} else {
		hideArrows();	
	};
	
	
	
	
});